petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetVecType

Gets the type of vector created with DMCreateLocalVector() and DMCreateGlobalVector()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMGetVecType(DM da,VecType *ctype)

Logically Collective on DM Many br

### Input Parameter

da - initial distributed array Many br

### Output Parameter

ctype - the vector type Many br

Many br

### See Also

DMCreate(), DMDestroy(), DM, DMDAInterpolationType, VecType

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages